import { BrowserModule } from '@angular/platform-browser'
import { NgModule } from '@angular/core'
import { RouterModule } from '@angular/router'
import { AppComponent } from './app.component'
import { HomeComponent, TestComponent, NotFoundComponent } from './home.component'
import { TransferHttpCacheModule } from '@nguniversal/common'

@NgModule({
  declarations: [
    AppComponent,
    TestComponent,
    HomeComponent,
    NotFoundComponent
  ],
  imports: [
    TransferHttpCacheModule,
    BrowserModule.withServerTransition({ appId: 'my-app' }),
    RouterModule.forRoot([
      { path: '', component: HomeComponent },
      { path: 'test', component: TestComponent },
      { path: '**', component: NotFoundComponent }
    ], { initialNavigation: true }),
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
